/*=======================================================*/
/*  TVQHIDEN.C                                           */
/*                                                       */
/*  (c) Copyright 1988 Ralf Brown  All Rights Reserved   */
/*  May be freely copied for noncommercial use, so long  */
/*  as this copyright notice remains intact, and any     */
/*  changes are marked in the comment blocks preceding   */
/*  functions.                                           */
/*=======================================================*/

#include "tvapi.h"
#include "tvstream.h"

/*=======================================================*/
/* TVqry_hidden  return TRUE if window is marked hidden  */
/*   Ralf Brown 4/3/88                                   */
/*=======================================================*/

int pascal TVqry_hidden(OBJECT win)
{
   static BYTE hidden_query[] = { S_QUERY(1), QS_HIDDEN } ;

   TVwin_stream(win,hidden_query) ;
   return (hidden_query[4] == QS_HIDDEN) ;
}

/* End of TVQHIDEN.C */
